com.google.cloud.dataflow.sdk.transforms

## Class DoFnWithContext.ProcessContext

- java.lang.Object
- - com.google.cloud.dataflow.sdk.transforms.DoFnWithContext.Context
  - - com.google.cloud.dataflow.sdk.transforms.DoFnWithContext.ProcessContext

Enclosing class:
  DoFnWithContext<InputT,OutputT>

    public abstract class DoFnWithContext.ProcessContext
    extends DoFnWithContext.Context

Information accessible when running `DoFn.processElement(com.google.cloud.dataflow.sdk.transforms.DoFn<InputT, OutputT>.ProcessContext)`.

### Constructor Summary

Constructors
Constructor and Description
`ProcessContext()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract InputT` `element()` Returns the input element to be processed.
`abstract PaneInfo` `pane()` Returns information about the pane within this window into which the input element has been assigned.
`abstract <T> T` `sideInput(PCollectionView<T> view)` Returns the value of the side input.
`abstract Instant` `timestamp()` Returns the timestamp of the input element.

### Methods inherited from class com.google.cloud.dataflow.sdk.transforms.DoFnWithContext.Context

`getPipelineOptions, output, outputWithTimestamp, sideOutput, sideOutputWithTimestamp`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ProcessContext

    public ProcessContext()

### Method Detail

#### element

    public abstract InputT element()

Returns the input element to be processed.

The element will not be changed -- it is safe to cache, etc. without copying.

#### sideInput

    public abstract <T> T sideInput(PCollectionView<T> view)

Returns the value of the side input.

Throws:
  `IllegalArgumentException` - if this is not a side input
See Also:
  `ParDo.withSideInputs(com.google.cloud.dataflow.sdk.values.PCollectionView<?>...)`

#### timestamp

    public abstract Instant timestamp()

Returns the timestamp of the input element.

See `Window` for more information.

#### pane

    public abstract PaneInfo pane()

Returns information about the pane within this window into which the input element has been assigned.

Generally all data is in a single, uninteresting pane unless custom triggering and/or late data has been explicitly requested. See `Window` for more information.